Summary:	Parsing gigabytes of JSON per second
Name:		simdjson
Version:	0.7.0
Release:	1
License:	Apache v2.0
Group:		Libraries
#Source0Download: https://github.com/simdjson/simdjson/releases
Source0:	https://github.com/simdjson/simdjson/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	8791bdbbb8d1885951a5c4b40b2295f9
URL:		https://simdjson.org
BuildRequires:	cmake >= 3.9
BuildRequires:	libstdc++-devel >= 6:5
ExclusiveArch:	%{x8664} aarch64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
JSON documents are everywhere on the Internet. Servers spend a lot of
time parsing these documents. simdjson aims to accelerate the parsing
of JSON per se using commonly available SIMD instructions as much as
possible while doing full validation (including character encoding).

%package devel
Summary:	Header files for simdjson library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for simdjson library.

%prep
%setup -q

%build
%cmake \
	-DSIMDJSON_JUST_LIBRARY=ON
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CONTRIBUTING.md CONTRIBUTORS HACKING.md README.md RELEASES.md
%attr(755,root,root) %{_libdir}/libsimdjson.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsimdjson.so.5

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsimdjson.so
%{_libdir}/cmake/simdjson
%{_includedir}/simdjson.h
%changelog
* Mon Dec 07 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/simdjson.git;a=log;h=master

* Sat Dec 05 2020 Jan Palus <atler@pld-linux.org> 9bb2686
- up to 0.7.0

* Wed Nov 04 2020 Jan Palus <atler@pld-linux.org> fab0d69
- up to 0.6.1

* Fri Oct 23 2020 Jan Palus <atler@pld-linux.org> 8223707
- up to 0.6.0 (new soname)

* Thu Aug 20 2020 Jan Palus <atler@pld-linux.org> 45b686a
- up to 0.5.0 (new soname)

* Fri Jul 17 2020 Jan Palus <atler@pld-linux.org> e2bd5fd
- up to 0.4.7

* Sat Jul 04 2020 Jan Palus <atler@pld-linux.org> 0147b22
- up to 0.4.6 (new soname)

* Sun Apr 12 2020 Jan Palus <atler@pld-linux.org> e047ea4
- new (version 0.3.1)

